# -*- encoding: utf-8 -*-
# stub: spoolinger 0.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "spoolinger".freeze
  s.version = "0.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marc Dequ\u00E8nes (Duck)".freeze]
  s.date = "2021-10-07"
  s.description = "The Spoolinger is a generic spool manager, watching\nfor incoming files in a specific directory and scheduling\ntheir processing.\n".freeze
  s.email = "Duck@DuckCorp.org".freeze
  s.executables = ["spoolinger".freeze, "spoolinger_daemon".freeze]
  s.extra_rdoc_files = ["CHANGES.md".freeze, "README".freeze, "README.config".freeze]
  s.files = ["CHANGES.md".freeze, "Gemfile".freeze, "README".freeze, "README.config".freeze, "bin/spoolinger".freeze, "bin/spoolinger_daemon".freeze, "data/spoolinger/default_config/global.yaml".freeze, "data/spoolinger/schema/global.yaml".freeze, "examples/dovecot-antispam/DSPAM/95-antispam.conf".freeze, "examples/dovecot-antispam/DSPAM/spoolinger.conf".freeze, "examples/dovecot-antispam/README".freeze, "examples/dovecot-antispam/Rspamd/95-antispam.conf".freeze, "examples/dovecot-antispam/Rspamd/spoolinger.conf".freeze, "examples/dovecot-antispam/load-checker.rb".freeze, "examples/dovecot-antispam/spoolinger.init".freeze, "examples/dovecot-antispam/spoolinger.service".freeze, "lib/spoolinger/config.rb".freeze, "lib/spoolinger/incoming_watcher.rb".freeze, "lib/spoolinger/load_check.rb".freeze, "lib/spoolinger/logger.rb".freeze, "lib/spoolinger/ruby_extra.rb".freeze, "lib/spoolinger/spool_file.rb".freeze]
  s.homepage = "https://projects.duckcorp.org/projects/spoolinger/wiki".freeze
  s.licenses = ["GPL-3.0-or-later".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.0".freeze)
  s.rubygems_version = "3.2.27".freeze
  s.summary = "Spool Manager".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 5.2.2.1"])
    s.add_runtime_dependency(%q<daemons>.freeze, ["~> 1.1.9"])
    s.add_runtime_dependency(%q<eventmachine>.freeze, ["~> 1.0.7"])
    s.add_runtime_dependency(%q<kwalify>.freeze, ["~> 0.7.2"])
    s.add_runtime_dependency(%q<log4r>.freeze, ["~> 1.1.10"])
    s.add_runtime_dependency(%q<rb-inotify>.freeze, ["~> 0.9.10"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["~> 5.2.2.1"])
    s.add_dependency(%q<daemons>.freeze, ["~> 1.1.9"])
    s.add_dependency(%q<eventmachine>.freeze, ["~> 1.0.7"])
    s.add_dependency(%q<kwalify>.freeze, ["~> 0.7.2"])
    s.add_dependency(%q<log4r>.freeze, ["~> 1.1.10"])
    s.add_dependency(%q<rb-inotify>.freeze, ["~> 0.9.10"])
  end
end
